## alsasrc

alsasrc — Read from a sound card via ALSA

## Synopsis

                        GstAlsaSrc;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseSrc
                         +----GstPushSrc
                               +----GstBaseAudioSrc
                                     +----GstAudioSrc
                                           +----GstAlsaSrc

## Implemented Interfaces

GstAlsaSrc implements GstImplementsInterface, GstMixer and GstPropertyProbe.

## Properties

      "device"                   gchar*                : Read / Write
      "device-name"              gchar*                : Read
      "card-name"                gchar*                : Read

## Description

This element reads data from an audio card using the ALSA API.

### Example pipelines

    1

    gst-launch -v alsasrc ! audioconvert ! vorbisenc ! oggmux ! filesink location=alsasrc.ogg

Record from a sound card using ALSA and encode to Ogg/Vorbis.

Last reviewed on 2006-03-01 (0.10.4)

## Details

### GstAlsaSrc

    typedef struct _GstAlsaSrc GstAlsaSrc;

Opaque data structure

## Property Details

### The `"device"` property

      "device"                   gchar*                : Read / Write

ALSA device, as defined in an asound configuration file.

Default value: "default"

### The `"device-name"` property

      "device-name"              gchar*                : Read

Human-readable name of the sound device.

Default value: ""

### The `"card-name"` property

      "card-name"                gchar*                : Read

Human-readable name of the sound card.

Default value: ""

## See Also

alsasink, alsamixer